# class Tk::RadioButton

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

deselect() click to toggle source

    # File lib/tk/radiobutton.rb, line 39
    def deselect
      tk_send_without_enc('deselect')
      self
    end

get_value() click to toggle source

    # File lib/tk/radiobutton.rb, line 48
    def get_value
      var = tk_send_without_enc('cget', '-variable')
      if TkVariable::USE_TCLs_SET_VARIABLE_FUNCTIONS
        _fromUTF8(INTERP._get_global_var(var))
      else
        INTERP._eval(Kernel.format('global %s; set %s', var, var))
      end
    end

select() click to toggle source

    # File lib/tk/radiobutton.rb, line 43
    def select
      tk_send_without_enc('select')
      self
    end

set_value(val) click to toggle source

    # File lib/tk/radiobutton.rb, line 57
    def set_value(val)
      var = tk_send_without_enc('cget', '-variable')
      if TkVariable::USE_TCLs_SET_VARIABLE_FUNCTIONS
        _fromUTF8(INTERP._set_global_var(var, _get_eval_string(val, true)))
      else
        s = '"' + _get_eval_string(val).gsub(/[\[\]$"\]/, '\\\&') + '"'
        INTERP._eval(Kernel.format('global %s; set %s %s', var, var, s))
      end
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source

def create_self(keys)

    if keys and keys != None
      tk_call_without_enc('radiobutton', @path, *hash_kv(keys, true))
    else
      tk_call_without_enc('radiobutton', @path)
    end

end private :create_self

Calls superclass method

    # File lib/tk/radiobutton.rb, line 21
    def __boolval_optkeys
      super() << 'indicatoron'
    end

__ruby2val_optkeys() click to toggle source

    # File lib/tk/radiobutton.rb, line 31
    def __ruby2val_optkeys  # { key=>proc, ... }
      {
        'variable'=>proc{|v| tk_trace_variable(v)}  # for backward compatibility
      }
    end

__strval_optkeys() click to toggle source
Calls superclass method

    # File lib/tk/radiobutton.rb, line 26
    def __strval_optkeys
      super() << 'selectcolor'
    end